Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 878609 - dev-db/cpp-driver-2.11.0 - /.../vector.hpp: error: definition of implicit copy assignment operator for Vector<std::basic_string<ch
Summary: dev-db/cpp-driver-2.11.0 - /.../vector.hpp: error: definition of implicit cop...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords: PMASKED
Depends on:
Blocks: clang-16-porting
  Show dependency tree
 
Reported: 2022-10-29 09:43 UTC by Toralf Förster
Modified: 2022-12-20 16:31 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,17.52 KB, text/plain)
2022-10-29 09:43 UTC, Toralf Förster
Details
clang.tar.bz2 (clang.tar.bz2,3.03 KB, application/x-bzip)
2022-10-29 09:43 UTC, Toralf Förster
Details
dev-db:cpp-driver-2.11.0:20221028-214735.log (dev-db:cpp-driver-2.11.0:20221028-214735.log,33.64 KB, text/plain)
2022-10-29 09:43 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,46.75 KB, text/plain)
2022-10-29 09:43 UTC, Toralf Förster
Details
environment (environment,99.45 KB, text/plain)
2022-10-29 09:43 UTC, Toralf Förster
Details
etc.portage.tar.bz2 (etc.portage.tar.bz2,7.29 KB, application/x-bzip)
2022-10-29 09:43 UTC, Toralf Förster
Details
logs.tar.bz2 (logs.tar.bz2,5.51 KB, application/x-bzip)
2022-10-29 09:43 UTC, Toralf Förster
Details
temp.tar.bz2 (temp.tar.bz2,29.74 KB, application/x-bzip)
2022-10-29 09:43 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2022-10-29 09:43:39 UTC
In file included from /var/tmp/portage/dev-db/cpp-driver-2.11.0/work/cpp-driver-2.11.0/src/auth.hpp:20:
In file included from /var/tmp/portage/dev-db/cpp-driver-2.11.0/work/cpp-driver-2.11.0/src/buffer.hpp:21:
In file included from /var/tmp/portage/dev-db/cpp-driver-2.11.0/work/cpp-driver-2.11.0/src/serialization.hpp:20:
In file included from /var/tmp/portage/dev-db/cpp-driver-2.11.0/work/cpp-driver-2.11.0/src/address.hpp:23:
/var/tmp/portage/dev-db/cpp-driver-2.11.0/work/cpp-driver-2.11.0/src/vector.hpp:28:3: error: definition of implicit copy assignment operator for 'Vector<std::basic_string<char, std::char_traits<char>, cass::Allocator<char>>>' is deprecated because it has a user-provided copy constructor [-Werror,-Wdeprecated-copy-with-user-provided-copy]
  Vector(const Vector& other)
  ^

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_no_multilib_systemd-j4-20221028-160004

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-12 *
clang/llvm (if any):
clang version 15.0.3
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/15/bin
Configuration file: /etc/clang/clang.cfg
/usr/lib/llvm/15
15.0.3
Python 3.10.8
Available Ruby profiles:
  [1]   ruby27 (with Rubygems)
  [2]   ruby31 (with Rubygems) *
Available Rust versions:
  [1]   rust-bin-1.64.0 *
The following VMs are available for generation-2:
1)	Eclipse Temurin JDK 17.0.4.1_p1 [openjdk-bin-17]
*)	Eclipse Temurin JDK 8.345_p01 [openjdk-bin-8]
Available Java Virtual Machines:
  [1]   openjdk-bin-8  system-vm
  [2]   openjdk-bin-17 

The Glorious Glasgow Haskell Compilation System, version 9.0.2
php cli (if any):
GNU Make 4.3

  HEAD of ::gentoo
commit c01449c6d43586b2ce15e89728f50292cafab05f
Author: Repository mirror & CI <repomirrorci@gentoo.org>
Date:   Fri Oct 28 21:01:56 2022 +0000

    2022-10-28 21:01:56 UTC

emerge -qpvO dev-db/cpp-driver
[ebuild  N    ] dev-db/cpp-driver-2.11.0  USE="ssl"
Comment 1 Toralf Förster gentoo-dev 2022-10-29 09:43:40 UTC
Created attachment 825813 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2022-10-29 09:43:40 UTC
Created attachment 825815 [details]
clang.tar.bz2
Comment 3 Toralf Förster gentoo-dev 2022-10-29 09:43:42 UTC
Created attachment 825817 [details]
dev-db:cpp-driver-2.11.0:20221028-214735.log
Comment 4 Toralf Förster gentoo-dev 2022-10-29 09:43:43 UTC
Created attachment 825819 [details]
emerge-history.txt
Comment 5 Toralf Förster gentoo-dev 2022-10-29 09:43:44 UTC
Created attachment 825821 [details]
environment
Comment 6 Toralf Förster gentoo-dev 2022-10-29 09:43:45 UTC
Created attachment 825823 [details]
etc.portage.tar.bz2
Comment 7 Toralf Förster gentoo-dev 2022-10-29 09:43:46 UTC
Created attachment 825825 [details]
logs.tar.bz2
Comment 8 Toralf Förster gentoo-dev 2022-10-29 09:43:47 UTC
Created attachment 825827 [details]
temp.tar.bz2
Comment 9 Larry the Git Cow gentoo-dev 2022-12-20 16:31:30 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c16027e063a927a6d2a60c57a40b7c0fd8f437f5

commit c16027e063a927a6d2a60c57a40b7c0fd8f437f5
Author:     Jakov Smolić <jsmolic@gentoo.org>
AuthorDate: 2022-12-20 16:24:05 +0000
Commit:     Jakov Smolić <jsmolic@gentoo.org>
CommitDate: 2022-12-20 16:30:27 +0000

    dev-db/cpp-driver: treeclean
    
    Closes: https://bugs.gentoo.org/659376
    Closes: https://bugs.gentoo.org/685936
    Closes: https://bugs.gentoo.org/878609
    Signed-off-by: Jakov Smolić <jsmolic@gentoo.org>

 dev-db/cpp-driver/Manifest                 |  1 -
 dev-db/cpp-driver/cpp-driver-2.11.0.ebuild | 27 ---------------------------
 dev-db/cpp-driver/metadata.xml             | 13 -------------
 profiles/package.mask                      |  1 -
 4 files changed, 42 deletions(-)